Safe (multisig) integration

Add Safe Delegate With Signature

Registers the org proposer as Safe delegate via Safe Transaction Service using an owner's EIP-712 signature.

POSThttps://api.toku.com/hris/add-safe-delegate-with-signature

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/add-safe-delegate-with-signature' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "safeAddress": "string",
  "ownerAddress": "string",
  "signature": "string",
  "chainId": "string"
}'
200 response
{
  "success": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

safeAddressstringrequired

Allowed: at least 1 characters

ownerAddressstringrequired

Allowed: at least 1 characters

signaturestringrequired

Allowed: at least 1 characters

chainIdstringrequired

Allowed: at least 1 characters

Response

200Successful response
successbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits